Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158505 - SATA RAID 1 array shows as two separate drives
Summary: SATA RAID 1 array shows as two separate drives
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-23 03:42 UTC by Edward Kiser
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-06 16:07:34 UTC


Attachments (Terms of Use)

Description Edward Kiser 2005-05-23 03:42:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.2) Gecko/20040804 Netscape/7.2 (ax)

Description of problem:
On a Dell Dimension 8400 with an Intel 82801FR (ICH6-R) SATA RAID Controller, the installer detects my RAID 1 array as two independent disk drives. (This controller one of those BIOS-software RAID controllers described on http://linux.yyz.us/sata/faq-sata-raid.html.)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Configure your system with RAID 1 in the BIOS.
2. Install Windows, but leave empty space for Linux to install into.
3. Start to install Fedora Core 4 test 3.
4. Choose to use Disk Druid rather than automatic partitioning.

Actual Results:  The two drives show up separately with identical partitioning.

It is possible to create RAID Partitions, but the option to create a RAID device is grayed out.

Expected Results:  If RAID can be detected automatically, it should be. (Maybe heuristics can be used, with user confirmation.)

If not, it should be possible to manually tell Disk Druid to regard the two drives as a single RAID 1 device, and then install onto that device. After install, the BIOS should cause GRUB to see the RAID 1 array as a single drive. When GRUB hands control over to the Linux kernel, Linux should be able to seamlessly take over with its own software RAID 1.

Additional info:

It may be possible to work around this by disabling BIOS RAID, but I'd rather not (for the same reason I got RAID 1 in the first place.)

Going ahead with the install, without disabling the BIOS RAID, would probably cause the BIOS to think the RAID array was corrupt.

Comment 1 Jeremy Katz 2005-05-23 15:37:53 UTC
This is because the "RAID" isn't really done in hardware and requires software
support.  dmraid starts to provide that, but it's not integrated at all with the
OS in a lot of ways.  This is in the works hopefully for FC5

Comment 2 Christian Iseli 2007-01-22 10:23:21 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 Matthew Miller 2007-04-06 15:14:13 UTC
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.


Comment 4 Edward Kiser 2007-04-06 16:07:34 UTC
This bug appeared to be fixed in Fedora Core 6.


Note You need to log in before you can comment on or make changes to this bug.